> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/aig/ai-gateway-usage/describeaiusagedata.md).

# DescribeAiUsageData

## 1. 接口描述

本接口(DescribeAiUsageData)用于查询AI网关用量统计数据

{% hint style="info" %}
**注意事项**

* 本接口认证方式请参考[认证方式](/api-reference/cn/api-introduction/instruction/authorization.md)
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型      | 描述                      |
| --------------- | -- | ------- | ----------------------- |
| start           | 是  | Integer | 开始时间戳10位，示例：1659427200。 |
| end             | 是  | Integer | 结束时间戳10位，示例：1659434400。 |
| instanceIds     | 否  | String  | 实例ID。                   |
| resourceGroupId | 否  | String  | 资源组ID。                  |

## 3. 响应结果

| 参数名称               | 类型                                                                             | 描述                                                       |
| ------------------ | ------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId          | String                                                                         | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalInputTokens   | Integer                                                                        | 总输入token数。                                               |
| totalOutputTokens  | Integer                                                                        | 总输出token数。                                               |
| instanceModelToken | Array of [UsageData](/api-reference/cn/compute/aig/datastructure.md#usagedata) | 实例模型用量数据。                                                |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **查询 AI 网关在指定时间范围内的用量统计。**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/aigw
Content-Type: application/json
X-ZC-Action: DescribeAiUsageData
<Common Request Params>

Request:
{
    "instanceIds": "1597494548165039443",
    "start": 1772074800,
    "end": 1772075400
}
Response:
{
    "requestId": "T24AB09E0-07A3-4FFA-931A-813959932AD9",
    "response": {
        "instanceModelToken": [
            {
                "modelName": "gemini-2.5-flash",
                "totalRequests": 1,
                "modelUuid": "hhlpwj8yhq",
                "totalTokens": 3345
            },
            {
                "modelName": "gpt-4o",
                "totalRequests": 2,
                "modelUuid": "551hvvb2g0",
                "totalTokens": 594
            }
        ],
        "requestId": "T24AB09E0-07A3-4FFA-931A-813959932AD9",
        "totalInputTokens": 51,
        "totalOutputTokens": 3888
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
